%define opal_version 3.10.10

%define kde_support 0
%{?_kde_support: %{expand: %%global kde_support 1}}

Summary:	Voice and Video over IP software (H323 / SIP)
Name:		ekiga
Version:	4.0.1
Release:	3
License:	GPLv2+
Group:		Video
URL:		http://www.ekiga.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ekiga/4.0/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	xsltproc
BuildRequires:	gettext-devel

BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gnome-icon-theme)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(opal) >= %{opal_version}
Buildrequires:	pkgconfig(ptlib) >= 2.10.9
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(xv)
BuildRequires:	openldap-devel
BuildRequires:	boost-devel
%if %kde_support
BuildRequires:	kdelibs4-devel
%endif
%rename		gnomemeeting

Requires(post):		scrollkeeper >= 0.3
Requires(postun):	scrollkeeper >= 0.3
Requires:	pkgconfig(gnome-icon-theme)
Requires:	opal3 >= %{opal_version}
Requires:	evolution-data-server
Suggests:	yelp

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses both SIP and H323 protocol and is compatible with Microsoft Netmeeting.
It used to be called GnomeMeeting

%prep
%setup -q

%build
%if %kde_support
  QTDIR="/usr/lib/qt4" ; export QTDIR ; 
  PATH="/usr/lib/qt4/bin:$PATH" ; export PATH ; 
%endif
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x	\
%if %kde_support
	--enable-kde \
%endif
	--disable-schemas-install \
	--enable-dbus

make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=Ekiga \$devicename
Comment=Ekiga
TryExec=%{_bindir}/ekiga
Exec=%{_bindir}/ekiga
Terminal=false
Icon=ekiga
Type=Application
StartupNotify=true
EOF

rm -rf %{buildroot}/var/lib/scrollkeeper

%define schemas ekiga

%preun
if [ -r %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas -a -x %{_bindir}/gconftool-2 ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
  update-alternatives --remove webcam.kde.dynamic %{launchers}/gnomemeeting.desktop
  update-alternatives --remove webcam.gnome.dynamic %{launchers}/gnomemeeting.desktop
fi
%preun_uninstall_gconf_schemas %{schemas}

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove webcam.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove webcam.gnome.dynamic %{launchers}/%{name}.desktop
fi

%files -f %{name}.lang
%doc README NEWS FAQ AUTHORS TODO
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/org.ekiga*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{launchers}/*.desktop



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.0.1-3
+ Revision: ccb8dfb
- MassBuild#440: Increase release tag


